ServerSocketFactory (Catalina Internal API Documentation)
Keywords: org.apache.catalina.net.ServerSocketFactory interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.net
Interface ServerSocketFactory

All Known Implementing Classes:
  DefaultServerSocketFactory, SSLServerSocketFactory

public interface ServerSocketFactory

Interface that describes the common characteristics of factory classes that create server sockets which may be required by a Connector. A concrete implementation of this interface will be assigned to a Connector via the `setFactory()` method.

Author:
  db@eng.sun.com, Harish Prabandham, Craig R. McClanahan

Method Summary
`java.net.ServerSocket` | `createSocket(int port)` Returns a server socket which uses all network interfaces on the host, and is bound to a the specified port.
`java.net.ServerSocket` | `createSocket(int port, int backlog)` Returns a server socket which uses all network interfaces on the host, is bound to a the specified port, and uses the specified connection backlog.
`java.net.ServerSocket` | `createSocket(int port, int backlog, java.net.InetAddress ifAddress)` Returns a server socket which uses only the specified network interface on the local host, is bound to a the specified port, and uses the specified connection backlog.

Method Detail

### createSocket

    public java.net.ServerSocket createSocket(int port)
                                       throws java.io.IOException,
                                              java.security.KeyStoreException,
                                              java.security.NoSuchAlgorithmException,
                                              java.security.cert.CertificateException,
                                              java.security.UnrecoverableKeyException,
                                              java.security.KeyManagementException

  Returns a server socket which uses all network interfaces on the host, and is bound to a the specified port. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `port` - the port to listen to
  Throws:
    `java.io.IOException` - input/output or network error
    `java.security.KeyStoreException` - error instantiating the KeyStore from file (SSL only)
    `java.security.NoSuchAlgorithmException` - KeyStore algorithm unsupported by current provider (SSL only)
    `java.security.cert.CertificateException` - general certificate error (SSL only)
    `java.security.UnrecoverableKeyException` - internal KeyStore problem with the certificate (SSL only)
    `java.security.KeyManagementException` - problem in the key management layer (SSL only)

### createSocket

    public java.net.ServerSocket createSocket(int port,
                                              int backlog)
                                       throws java.io.IOException,
                                              java.security.KeyStoreException,
                                              java.security.NoSuchAlgorithmException,
                                              java.security.cert.CertificateException,
                                              java.security.UnrecoverableKeyException,
                                              java.security.KeyManagementException

  Returns a server socket which uses all network interfaces on the host, is bound to a the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
  Throws:
    `java.io.IOException` - input/output or network error
    `java.security.KeyStoreException` - error instantiating the KeyStore from file (SSL only)
    `java.security.NoSuchAlgorithmException` - KeyStore algorithm unsupported by current provider (SSL only)
    `java.security.cert.CertificateException` - general certificate error (SSL only)
    `java.security.UnrecoverableKeyException` - internal KeyStore problem with the certificate (SSL only)
    `java.security.KeyManagementException` - problem in the key management layer (SSL only)

### createSocket

    public java.net.ServerSocket createSocket(int port,
                                              int backlog,
                                              java.net.InetAddress ifAddress)
                                       throws java.io.IOException,
                                              java.security.KeyStoreException,
                                              java.security.NoSuchAlgorithmException,
                                              java.security.cert.CertificateException,
                                              java.security.UnrecoverableKeyException,
                                              java.security.KeyManagementException

  Returns a server socket which uses only the specified network interface on the local host, is bound to a the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `port` - the port to listen to
    `backlog` - how many connections are queued
    `ifAddress` - the network interface address to use
  Throws:
    `java.io.IOException` - input/output or network error
    `java.security.KeyStoreException` - error instantiating the KeyStore from file (SSL only)
    `java.security.NoSuchAlgorithmException` - KeyStore algorithm unsupported by current provider (SSL only)
    `java.security.cert.CertificateException` - general certificate error (SSL only)
    `java.security.UnrecoverableKeyException` - internal KeyStore problem with the certificate (SSL only)
    `java.security.KeyManagementException` - problem in the key management layer (SSL only)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.